package com.fastbee.common.holder;



/**
 * @author mijiupro
 */
public class ProjectHolder {
    private static final ThreadLocal<ProjectInfo> TOKEN_HOLDER = new ThreadLocal<>();

    public static void setProjectInfo( ProjectInfo projectInfo) {
        TOKEN_HOLDER.set( projectInfo);
    }

    public static ProjectInfo getProjectInfo() {
        return TOKEN_HOLDER.get();
    }

    public static void clear() {
        TOKEN_HOLDER.remove();
    }

}
